package com.ijchart.xychart.listener ;

import java.util.EventListener ;

import com.ijchart.xychart.event.ChartProgressEvent ;

/**
 * <p>Title: IJChart</p>
 *
 * <p>Description: a chart library for the Java(tm) platform.</p>
 * <zh>ͼƽȼ.</zh>
 * <en>The interface that must be supported by classes that wish to receive
 * notification of chart progress events.</en>
 *
 * <p>Copyright: Copyright (c) 2013</p>
 *
 * <p>Company: </p>
 *
 * @author zhang feng min,shanghai china.
 * <a href="mailto:ijchartsh@gmail.com">Contract me by email.</a>
 * @version 1.0
 */
public interface IChartProgressListener extends EventListener {
  /**
   * <zh>ͼƽ.</zh>
   * <en>Receives notification of a chart progress event.</en>
   *
   * @param event ChartProgressEvent <zh>ͼƽ¼ (Ϊnull).</zh>
   * <en>The event (null not permitted).</en>
   */
  void chartProgress(ChartProgressEvent event) ;

}
