package com.ijchart.xychart.listener ;

import java.util.EventListener ;

import com.ijchart.xychart.event.PlotChangeEvent ;

/**
 * <p>Title: IJChart</p>
 *
 * <p>Description: a chart library for the Java(tm) platform.</p>
 * <zh>¼ڼͼPlot仯ʱ¼,¼ʱʵִ˼ᱻԶ֪ͨ.</zh>
 * <en> The interface that must be supported by classes that wish to receive
 * notification of changes to a plot. </en>
 *
 * <p>Copyright: Copyright (c) 2013</p>
 *
 * <p>Company: </p>
 *
 * @author zhang feng min,shanghai china.
 * <a href="mailto:ijchartsh@gmail.com">Contract me by email.</a>
 * @version 1.0
 */
public interface IPlotChangeListener extends EventListener {

  /**
   * <zh>յPlot仯¼.</zh>
   * <en>Receives notification of a plot change event.</en>
   *
   * @param event PlotChangeEvent <zh>plot仯¼.</zh>
   * <en>The plot change event.</en>
   */
  void plotChanged(PlotChangeEvent event) ;

}
