package demo.piecharts ;

import java.awt.Color ;
import java.awt.Font ;
import java.awt.GridLayout ;
import java.text.NumberFormat ;

import javax.swing.JPanel ;

import com.ijchart.xychart.client.ChartFactory ;
import com.ijchart.xychart.client.ChartPanel ;
import com.ijchart.xychart.client.IJChart ;
import com.ijchart.xychart.dataset.SingleRowDataset ;
import com.ijchart.xychart.plot.NoAxisPlot ;

/**
 * <p>Title: IJChart</p>
 *
 * <p>Description: a chart library for the Java(tm) platform.</p>
 *
 * <p>Copyright: Copyright (c) 2013</p>
 *
 * <p>Company: </p>
 *
 * @author zhang feng min,shanghai china.
 * <a href="mailto:ijchartsh@gmail.com">Contract me by email.</a>
 * @version 1.0
 */
public class PieChartDemo3 extends JPanel {
  private NumberFormat format = NumberFormat.getPercentInstance() ;

  public PieChartDemo3() {
    format.setMaximumFractionDigits(0) ;
    setLayout(new GridLayout(1, 1)) ;
    addPanel() ;
  }

  private void addPanel() {
    SingleRowDataset dataset = createDataset() ;
    IJChart chart = ChartFactory.createPieChart("Pie Chart Demo 3", dataset, true, true) ;
    NoAxisPlot plot = (NoAxisPlot) chart.getPlot() ;
    plot.setNoDataMessage("No data available so we go into this really long spiel about what that means and it runs off the end of the line but what can you do about that!") ;
    plot.setNoDataMessageFont(new Font("Serif", 2, 10)) ;
    plot.setNoDataMessagePaint(Color.red) ;

    ChartPanel chartpanel = new ChartPanel(chart) ;
    add(chartpanel) ;
  }

  private static SingleRowDataset createDataset() {
    SingleRowDataset dataset = new SingleRowDataset() ;

    return dataset ;
  }

}
