package com.ijchart.xychart.data ;

/**
 * <p>Title: IJChart</p>
 *
 * <p>Description: a chart library for the Java(tm) platform.</p>
 * <zh>xyֵݶ.</zh>
 * <en>Returns the data with x and y value.</en>
 * <p>Copyright: Copyright (c) 2013</p>
 *
 * <p>Company: </p>
 *
 * @author zhang feng min,shanghai china.
 * <a href="mailto:ijchartsh@gmail.com">Contract me by email.</a>
 * @version 1.0
 */
public interface IXYChartData extends IChartData {
  /**
   * <zh>xֵ.</zh>
   * <en>Returns the x-value.</en>
   *
   * @return double <zh>xֵ.</zh>
   * <en>The x-value.</en>
   */
  double getX() ;

  /**
   * <zh>yֵ.</zh>
   * <en>Returns the y-value.</en>
   *
   * @return double <zh>yֵ.</zh>
   * <en>The y-value.</en>
   */
  double getY() ;
}
