package com.ijchart.xychart.web ;

import com.ijchart.xychart.data.IChartData ;

/**
 * <p>Title: IJChart</p>
 *
 * <p>Description: a chart library for the Java(tm) platform.</p>
 * <zh>ҳȵͼεareaĺ.</zh>
 * <en>Interface for calculate area function of hotspot shape.</en>
 * <p>Copyright: Copyright (c) 2013</p>
 *
 * <p>Company: </p>
 *
 * @author zhang feng min,shanghai china.
 * <a href="mailto:ijchartsh@gmail.com">Contract me by email.</a>
 * @version 1.0
 */
public interface IAreaFragment {
  /**
   * <zh>ȵareaĲַ.</zh>
   * <en>Returns the area fragment of hotspot shape.</en>
   *
   * @param shapeIndex int <zh>ͼͬһͼμϵ.</zh>
   * <en>The index of shape in collection.</en>
   * @param data IChartData <zh>{@link IChartData} (Ϊnull).</zh>
   * <en>The {@link IChartData} object (maybe null).</en>
   *
   * @return String <zh>ַΪ<area>ǩһ.</zh>
   * <en>The area segment.</en>
   */
  String getFragment(int shapeIndex, IChartData data) ;
}
